Bug 144081 - download dialog URL spoofing
Summary: download dialog URL spoofing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050104
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-04 13:20 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 20:34:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-04 13:20:52 UTC
Secunia has also reported a download dialog URL spoofing issue
http://secunia.com/secunia_research/2004-15/advisory/

The problem is that long sub-domains and paths aren't displayed
correctly, which therefore can be exploited to obfuscate what is
being displayed in the source field of the Download Dialog box.

Comment 1 Josh Bressers 2005-01-04 13:23:29 UTC
This issue should also affect FC2

Comment 2 Christopher Blizzard 2005-01-04 18:17:41 UTC
Over to caillon.

Comment 3 Christopher Aillon 2005-04-28 20:34:29 UTC
Fixed in latest mozilla release version.


Note You need to log in before you can comment on or make changes to this bug.